/*
 * printf_library.h
 *
 *  Created on: 19/11/2012
 *      Author: Cesar
 */

#ifndef PRINTF_LIBRARY_H_
#define PRINTF_LIBRARY_H_

#define RETRIEVE_ANSWER_YES 1
#define RETRIEVE_ANSWER_NO 0
#define TERMINATE_STRING_YES 1
#define TERMINATE_STRING_NO 0

/* The rate at which data is sent to the queue, specified in milliseconds. */
#define mainQUEUE_SEND_FREQUENCY_MS			( 8 * 500 / portTICK_RATE_MS )

void printfStringInit(int debug);

void printfString1( int uart_number, const char * pcString);
void printfStringAndNumber2( int uart_number, const char * pcString, unsigned long ulValue );
void printfString2( int uart_number, const char * pcString, int terminate_string );
void printfStringAndNumber3( int uart_number, const char * pcString, unsigned long ulValue , int terminate_string);
void printfString( int uart_number, const char * pcString, int terminate_string, int retrieve_answer, char ** response, int delay_ms);

void printfStringAndNumber( int uart_number, const char *pcString, unsigned long ulValue , int terminate_string, int retrieve_answer, char ** response, int delay_ms);
void printf_captura_resposta( int uart_number, char ** response, int delay_ms);
char * printf_captura_resposta2( int uart_number, int delay_ms);
void delayMs(unsigned long ms);
void delayMsX(int ms);
char * printf_captura_UART0(int delay_ms);
char* chunk_line(const char * line);
#endif /* PRINTF_LIBRARY_H_ */
