/*
 * wifly.h
 *
 *  Created on: 19/11/2012
 *      Author: Cesar
 */

#ifndef WIFLY_H_
#define WIFLY_H_

#define OPEN 0
#define WEP 1
#define WPA 2

#define RETRIEVE_ANSWER_YES 1
#define RETRIEVE_ANSWER_NO 0
#define TERMINATE_STRING_YES 1
#define TERMINATE_STRING_NO 0

#define UART_WIFLY 0
#define UART_DEBUG 3
#define DEBUG_MODE 1

/* The bit of port 0 that the LPCXpresso LPC13xx LED is connected. */
#define RST_WIFLY_PIN 						( 22 )

int wifly_reset();
int wifly_checkConnection();
int wifly_connect();
int wifly_disconnect();
int wifly_join(int order,const char * ssid, int security ,const char * pass);
int wifly_leave();
int wifly_ping(char * address);
int wifly_getIP(char * value);
int wifly_getChannel(char * value);
int wifly_getTXPower(char * value);
int wifly_getRSSI(char * value);
int wifly_getTime(char * value);
int wifly_setTXPower(int power);
int wifly_setHttpConfig();
int wifly_sendHttpGET(const char * host,const char * getCommand, char * retorn);
int wifly_sendHttpGET2 (const char * host,const char * getCommand, char * retorn);
int wifly_setCommTime();
int wifly_getCommTime(char * value);
int wifly_setCommSize();
int wifly_getCommSize(char * value);
int wifly_setTcpServerConfig();
int wifly_closeTcpConnection();
int wifly_getRSSIint();

#endif /* WIFLY_H_ */
